<html xmlns="https://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Language" content="zh-CN" />
<link href="../style/css/manual-zip.css" rel="stylesheet" media="all" type="text/css" title="Main stylesheet" />
<link href="../style/css/manual-zip-100pc.css" rel="alternate stylesheet" media="all" type="text/css" title="No Sidebar - Default font size" />
<link href="../style/css/manual-print.css" rel="stylesheet" media="print" type="text/css" />
<meta name="description" content="mod_version － Apache 2.2 中文手册 [金步国作品集]">
<title>mod_version － Apache 2.2 中文手册 [金步国]</title>
<script> var _hmt = _hmt || []; (function() { var hm = document.createElement("script"); hm.src = "https://hm.baidu.com/hm.js?2468a2c5d539e359902070bcd91865b1"; var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(hm, s); })(); </script>
</head>
<body><div id="page-header">
<p class="menu"><a href="../mod/index.html">模块索引</a> | <a href="../mod/directives.html">指令索引</a> | <a href="../faq/index.html">常见问题</a> | <a href="../glossary.html">词汇表</a> | <a href="../sitemap.html">站点导航</a></p><p class="apache">Apache HTTP Server 版本2.2</p><img alt="" src="../images/feather.gif" /></div>
<div class="up"><a href="./index.html"><img title="&lt;-" alt="&lt;-" src="../images/left.gif" /></a></div>
<div id="path"><a href="https://www.apache.org/">Apache</a> &gt; <a href="https://httpd.apache.org/">HTTP Server</a> &gt; <a href="https://httpd.apache.org/docs/">文档</a> &gt; <a href="../index.html">版本2.2</a> &gt; <a href="./index.html">模块</a></div>

<div id="translation-info">　　 <a href="../translator_announcement.html#thanks">致谢</a> | 本篇译者：&lt;<a href="../translator_announcement.html#join">虚位以待</a>&gt; | 本篇译稿完成时间：?年?月?日</div>
<div id="page-content"><div id="preamble"><h1>Apache模块 mod_version</h1>

<table border="1" cellpadding="0" cellspacing="0" bordercolor="#AAAAAA" class="module">
<tr><th><a href="module-dict.html#Description">说明</a></th><td>提供基于版本的配置段支持</td></tr>
<tr><th><a href="module-dict.html#Status">状态</a></th><td>扩展(E)</td></tr>
<tr><th><a href="module-dict.html#ModuleIdentifier">模块名</a></th><td>version_module</td></tr>
<tr><th><a href="module-dict.html#SourceFile">源文件</a></th><td>mod_version.c</td></tr>
<tr><th><a href="module-dict.html#Compatibility">兼容性</a></th><td>仅在 Apache 2.0.56 及以后的版本中可用</td></tr>
</table>
<h3>概述</h3>

    <p>This module is designed for the use in test suites and large
    networks which have to deal with different httpd versions and
    different configurations. It provides a new container -- <code class="directive"><a href="#ifversion">&lt;IfVersion&gt;</a></code>, which
    allows a flexible version checking including numeric comparisons and
    regular expressions.</p>

    <div class="example"><h3>例子</h3><p><code>
      &lt;IfVersion 2.1.0&gt;<br />
      <span class="indent">
        # current httpd version is exactly 2.1.0<br />
      </span>
      &lt;/IfVersion&gt;<br />
      <br />
      &lt;IfVersion &gt;= 2.2&gt;<br />
      <span class="indent">
        # use really new features :-)<br />
      </span>
      &lt;/IfVersion&gt;
    </code></p></div>

    <p>See below for further possibilities.</p>
</div>
<div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="directive-section"><h2><a name="IfVersion" id="IfVersion">&lt;IfVersion&gt;</a> <a name="ifversion" id="ifversion">指令</a></h2>
<table border="1" cellpadding="0" cellspacing="0" bordercolor="#AAAAAA" class="directive">
<tr><th><a href="directive-dict.html#Description">说明</a></th><td>contains version dependent configuration</td></tr>
<tr><th><a href="directive-dict.html#Syntax">语法</a></th><td><code>&lt;IfVersion [[!]<var>operator</var>] <var>version</var>&gt; ...
&lt;/IfVersion&gt;</code></td></tr>
<tr><th><a href="directive-dict.html#Context">作用域</a></th><td>server config, virtual host, directory, .htaccess</td></tr>
<tr><th><a href="directive-dict.html#Override">覆盖项</a></th><td>All</td></tr>
<tr><th><a href="directive-dict.html#Status">状态</a></th><td>扩展(E)</td></tr>
<tr><th><a href="directive-dict.html#Module">模块</a></th><td>mod_version</td></tr>
</table>
    <p><code class="directive">&lt;IfVersion&gt;</code> section encloses
    configuration directives which are executed only if the
    <code class="program"><a href="../programs/httpd.html">httpd</a></code> version
    matches the desired criteria. For normal (numeric) comparisons the
    <var>version</var> argument has the format
    <code><var>major</var>[.<var>minor</var>[.<var>patch</var>]]</code>, e.g.
    <code>2.1.0</code>或<code>2.2</code>. <var>minor</var>和<var>patch</var> are optional. If these numbers are omitted, they are
    assumed to be zero. The following numerical <var>operator</var>s are
    possible:</p>

    <table border="1" cellpadding="0" cellspacing="0" bordercolor="#AAAAAA" class="bordered">
<tr class="header"><th><var>operator</var></th><th>description</th></tr>
<tr><td><code>=</code>或<code>==</code></td><td>httpd version is equal</td></tr>
<tr class="odd"><td><code>&gt;</code></td><td>httpd version is greater than</td></tr>
<tr><td><code>&gt;=</code></td><td>httpd version is greater or equal</td></tr>
<tr class="odd"><td><code>&lt;</code></td><td>httpd version is less than</td></tr>
<tr><td><code>&lt;=</code></td><td>httpd version is less or equal</td></tr>
</table>

    <div class="example"><h3>示例</h3><p><code>
      &lt;IfVersion &gt;= 2.1&gt;<br />
      <span class="indent">
        # this happens only in versions greater or<br />
        # equal 2.1.0.<br />
      </span>
      &lt;/IfVersion&gt;
    </code></p></div>

    <p>Besides the numerical comparison it is possible to match a
    <a class="glossarylink" href="../glossary.html#regex" title="see glossary">regular expression</a>
    against the httpd version. There are two ways to write it:</p>

    <table border="1" cellpadding="0" cellspacing="0" bordercolor="#AAAAAA" class="bordered">
<tr class="header"><th><var>operator</var></th><th>description</th></tr>
<tr><td><code>=</code>或<code>==</code></td><td><var>version</var> has the form
            <code>/<var>regex</var>/</code></td></tr>
<tr class="odd"><td><code>~</code></td><td><var>version</var> has the form
            <code><var>regex</var></code></td></tr>
</table>

    <div class="example"><h3>示例</h3><p><code>
      &lt;IfVersion = /^2.1.[01234]$/&gt;<br />
      <span class="indent">
        # e.g. workaround for buggy versions
      </span>
      &lt;/IfVersion&gt;
    </code></p></div>

    <p>In order to reverse the meaning, all operators can be preceded by an
    exclamation mark (<code>!</code>):</p>

    <div class="example"><p><code>
      &lt;IfVersion !~ ^2.1.[01234]$&gt;<br />
      <span class="indent">
        # not for those versions<br />
      </span>
      &lt;/IfVersion&gt;
    </code></p></div>

    <p>If the <var>operator</var> is omitted, it is assumed to be
    <code>=</code>.</p>

</div>
</div>
<div id="footer">
<p class="apache">本文允许自由的转载、引用、再分发，但必须保留译者署名并注明出处；详见：<a href="../translator_announcement.html#announcement">版权声明</a>。</p>
<p class="menu"><a href="../mod/index.html">模块索引</a> | <a href="../mod/directives.html">指令索引</a> | <a href="../faq/index.html">常见问题</a> | <a href="../glossary.html">词汇表</a> | <a href="../sitemap.html">站点导航</a></p></div>
</body></html>
